Apache Tomcat 7.0.42

## org.apache.catalina.core
Class ApplicationFilterConfig

    java.lang.Object
      org.apache.catalina.core.ApplicationFilterConfig

All Implemented Interfaces:
  Serializable, FilterConfig

    public final class ApplicationFilterConfig

extends Object
implements FilterConfig, Serializable

Implementation of a `javax.servlet.FilterConfig` useful in managing the filter instances instantiated when a web application is first started.

Version:
  $Id: ApplicationFilterConfig.java 1429172 2013-01-05 00:07:05Z kkolinko $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected static StringManager` `sm`

Method Summary
`String` `getFilterClass()` Return the class of the filter we are configuring.
`Map<String,String>` `getFilterInitParameterMap()`
`String` `getFilterName()` Return the name of the filter we are configuring.
`String` `getInitParameter(String name)` Return a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
`Enumeration<String>` `getInitParameterNames()` Return an `Enumeration` of the names of the initialization parameters for this Filter.
`ServletContext` `getServletContext()` Return the ServletContext of our associated web application.
`String` `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sm

    protected static final StringManager sm

Method Detail

### getFilterName

    public String getFilterName()

  Return the name of the filter we are configuring.

  Specified by:
    `getFilterName` in interface `FilterConfig`

### getFilterClass

    public String getFilterClass()

  Return the class of the filter we are configuring.

### getInitParameter

    public String getInitParameter(String name)

  Return a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.

  Specified by:
    `getInitParameter` in interface `FilterConfig`
  Parameters:
    `name` - Name of the requested initialization parameter
  Returns:
    `String` containing the value of the initialization parameter

### getInitParameterNames

    public Enumeration<String> getInitParameterNames()

  Return an `Enumeration` of the names of the initialization parameters for this Filter.

  Specified by:
    `getInitParameterNames` in interface `FilterConfig`
  Returns:
    `Enumeration` of `String` objects containing the names of the filter's initialization parameters

### getServletContext

    public ServletContext getServletContext()

  Return the ServletContext of our associated web application.

  Specified by:
    `getServletContext` in interface `FilterConfig`
  Returns:
    `ServletContext` object, used by the caller to interact with its servlet container
  See Also:
    `ServletContext`

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

### getFilterInitParameterMap

    public Map<String,String> getFilterInitParameterMap()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.